stages:
  - Build
  - Test
Build:linux:  
  stage: Build
  tags:
    - linux
  variables:
    GIT_STRATEGY: clone
  before_script:
    - 'sed -i -e "s~https://git.rwth-aachen.de/avt.svt~../..~" .gitmodules'
    - git submodule init
    - git submodule update
  script:
    - mkdir build
    - cd build 
    - cmake -G "Unix Makefiles" -DBUILD_MIDO=OFF -DBUILD_GUI=OFF  -DBUILD_WITH_MADO=OFF ..
    - make -j4

    
Build:windows:
  stage: Build
  tags:
    - jerry
    - windows
  variables:
    GIT_STRATEGY: clone
  before_script:
    - '(get-content .gitmodules | %{$_ -replace "https://git.rwth-aachen.de/avt.svt","../.."})| Set-Content -Path .gitmodules'
    - '$env:path += ";C:\Program Files\cmake\bin"'
    - git submodule init
    - git submodule update
  script:
    - mkdir build
    - cd build
    - 'cmake -G "Visual Studio 15 2017 Win64" -DCMAKE_PREFIX_PATH="C:/Qt/5.9.9/msvc2017_64/lib/cmake" -DBoost_INCLUDE_DIR="E:/boost_1_70_0" -DBUILD_MIDO:BOOL=OFF -DBUILD_GUI:BOOL=OFF ..'
    - 'cmake --build . --config Release --target ALL_BUILD -j4'

Test:windows:
  stage: Test
  tags: 
    - windows
    - jerry
  variables:
    GIT_STRATEGY: none 
  before_script:
    - '$env:path += ";C:\Program Files\cmake\bin"'
  script: 
    - 'cd build'
    - 'ctest -V -C Release'
  needs: ["Build:windows"]

Test:linux: 
  stage: Test
  tags:
    - linux
  variables:
    GIT_STRATEGY: none 
  script: 
    - cd build
    - ctest -V 
  needs: ["Build:linux"]